BDU:2015-00373: Уязвимость программного обеспечения PHP, позволяющая удаленному злоумышленнику нарушить доступность защищаемой информации

Описание уязвимости Уязвимость в функции gdImageCreateFromXpm в gdxpm.c в libgd для PHP позволяет злоумышленникам, действующим удаленно, вызвать отказ в обслуживании (разыменование нулевого указателя и аварийное завершение работы приложения) при помощи специально сформированной таблицы цветов в XPM-файле.
Вендор PHP Group
Наименование ПО PHP
Версия ПО
  • от 5.4.0 до 5.4.32
  • от 5.5.0 до 5.5.16
Тип ПО Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Данные уточняются
Тип ошибки Ошибки управления ресурсом
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 17.07.2014
Базовый вектор уязвимости
Уровень опасности уязвимости Средний уровень опасности (базовая оценка CVSS 2.0 составляет 4,3)
Возможные меры по устранению уязвимости
Для устранения уязвимости необходимо установить последнюю версию продукта, соответствующую используемой платформе. Необходимую информацию можно получить по адресу:
http://www.php.net/
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации Данные уточняются
Способ устранения Данные уточняются
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения